// +FHDR------------------------------------------------------------
//                 Copyright (c) 2022 SmartLogic.
//                       ALL RIGHTS RESERVED
// -----------------------------------------------------------------
// Filename      : ape_test_case1.s.c
// Author        : 
// Created On    : 2022-10-26
// Last Modified :
// -----------------------------------------------------------------
// Description:
//
//
// -FHDR------------------------------------------------------------

#include "typedef.h"
#include "ucp_printf.h"
#include "phy_para.h"
#include "rfm1_drv.h"


/************************************************************************/
extern void cpri_init(uint32_t option,uint32_t MappingMode);
extern void jesd_init();
extern void ecpri_init(uint8_t nOption);

int32_t fh_data_init(void)
{
	return 0;
}

int32_t fh_drv_init()
{
	stFrontHaulDrvPara fhDrvPara;
	memset_ucp(&fhDrvPara, 0, sizeof(stFrontHaulDrvPara));
	
	fhDrvPara.protocolSel = PROTOCOL_CPRI;
	fhDrvPara.rateOption = CPRI_OPTION_8;
	fhDrvPara.mapOption = OTIC_MAP_FIGURE12;

	fronthaul_drv_cfg(&fhDrvPara);

	return 0;
}

int32_t fh_csu_test_init(void)
{

	return 0;
}

void fh_test_case()
{
	return;
}

void fh_data_check(uint32_t times)
{
	return;
}


